Section curve / Schnittkurve in Python for Rhino

Hey there,

My name is Phil and I’m writing my Bachelor Thesis at the moment. I would like to write a plug-in for Rhino using Python.

In my Rhino version (5), it’s possible to define a line and then ‘cut’ a surface with this line – which creates a new curve (I added some pictures for you).
I am used to work with the german Rhino version, the command there is ‘Schnittkurve’, I guess in English it’s ‘section’.

My problem is that I can’t find any command like this in Python.
Can anybody help me? :ship:

Thanks a lot in advance!
Phil

Pic1:
A simple surface:

Pic2:
Added a line, where I would like to get my new line:

Pic3:
After using the command ‘Schnittkurve’/‘section’:

Pic4:
After making the surface invisible, the result is the new curve showing the shape of the surface:

If you want to use rhinoscriptsyntax, use the AddSrfContourCrvs function.

If you want to use RhinoCommon, use Rhino.Geometry.Brep.CreateContourCurves.

Does this help?

Hey Dale,

thanks a lot for your comment!
It’s not what I meant, but I changed some parameters and created a for-loop and now it work with this command too!

Thanks a lot :smiley: